RXTX Version mismatch

1、错误描述

RXTX Version mismatch 	Jar version = RXTX-2.2-20081207 Cloudhopper Build rxtx.cloudhopper.net 

2、错误原因

     串口需要的dll文件和RXTXcomm.jar版本号不一致,导致出现这个错误


3、解决办法

(1)在官网上下载对应的RXTXcomm.jar和dll文件

(2)将对应的rxtxParallel.dll和rxtxSerial.dll放到Java\jdk1.8.0_151\jre\bin目录下

(3)如果是32位系统,需要将rxtxParallel.dll和rxtxSerial.dll放到C:\Windows\System32目录下

相关文章

相关标签/搜索